<?php
$xdescri="";
$xtabla=$_POST['ntabla'];
$xcodigo=$_POST['ncodigo'];
$xdescri=$_POST['ndescri'];
// session_start();

// require('../_cfg/res.php');
// mysql_query("SET NAMES 'utf8'");

// if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}

 include('../_cfg/config.php');
 include('php_gene1.php');
 include('php_session.php');




// if($xtabla=='enti' && strlen($xcodigo)==13 and substr($xcodigo,2,1)>=6)
if($xtabla=='enti' && strlen($xcodigo)==13)
{$xcodigo=substr($xcodigo,0,10).'001';}  

$sql_newcod='insert into '.$xtabla.'0('.$xtabla.'_codigo,'.$xtabla.'_descri,'.$xtabla.'_status,'.$xtabla.'_idate,'.$xtabla.'_iuser)' ;
$sql_newcod.='value("'.$xcodigo.'","NUEVO CODIGO","-",now(),"'.$_SESSION['user_vcrx_id'].'")' ;
$res_newcod=msql_query($sql_newcod,$link_vcrx);


if(date('Y-m-d')<'2021-04-10')
{
     
  $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_descri=null where '.$xtabla.'_descri like "%undefined%"' ;
  $res_newcod=msql_query($sql_newcod,$link_vcrx);
}


if($xdescri!='' and $xdescri!='undefined')
{  
  $sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_descri="'.$xdescri.'" where '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
  $res_newcod=msql_query($sql_newcod,$link_vcrx);

  if($xtabla=='enti')
  {
    $sql_newcod='update user0 set user_descri="'.$xdescri.'" where user_cedula like "'.$xcodigo.'"' ;
    $res_newcod=msql_query($sql_newcod,$link_vcrx);
  }
}


$sql_newcod='update '.$xtabla.'0 set '.$xtabla.'_pais="ECUA" where '.$xtabla.'_pais is null and '.$xtabla.'_codigo like "'.$xcodigo.'"' ;
$res_newcod=msql_query($sql_newcod,$link_vcrx);


?>